Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
rb_id_table Struct Reference

## Data Fields
int | capa
int | num
int | used
item_t * | items

## Detailed Description

Definition at line 40 of file id_table.c.

## Field Documentation

## ◆ capa

int rb_id_table::capa

Definition at line 41 of file id_table.c.

Referenced by rb_id_table_clear(), rb_id_table_foreach(), rb_id_table_foreach_values(), rb_id_table_foreach_with_replace(), and rb_id_table_memsize().

## ◆ items

item_t* rb_id_table::items

Definition at line 44 of file id_table.c.

Referenced by rb_id_table_clear(), rb_id_table_foreach_values(), rb_id_table_foreach_with_replace(), and rb_id_table_free().

## ◆ num

int rb_id_table::num

Definition at line 42 of file id_table.c.

Referenced by rb_id_table_clear(), and rb_id_table_size().

## ◆ used

int rb_id_table::used

Definition at line 43 of file id_table.c.

Referenced by rb_id_table_clear().

The documentation for this struct was generated from the following file:

- id_table.c